## xdg-desktop-portal-hyprland 1.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

file(READ ${CMAKE_CURRENT_SOURCE_DIR}/VERSION VER)
string(STRIP ${VER} VER)

project(xdg-desktop-portal-hyprland
    DESCRIPTION "An XDG-Destop-Portal backend for Hyprland (and wlroots)"
    VERSION ${VER}
)

set(CMAKE_MESSAGE_LOG_LEVEL "STATUS")
set(SYSTEMD_SERVICES ON CACHE BOOL "Install systemd service file")

if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)
    message(STATUS "Configuring XDPH in Debug with CMake")
    add_compile_definitions(HYPRLAND_DEBUG)
else()
    add_compile_options(-O3)
    message(STATUS "Configuring XDPH in Release with CMake")
endif()

include_directories(
  .
  "protocols/"
)

# configure
include(GNUInstallDirs)
set(LIBEXECDIR ${CMAKE_INSTALL_FULL_LIBEXECDIR})
configure_file(org.freedesktop.impl.portal.desktop.hyprland.service.in org.freedesktop.impl.portal.desktop.hyprland.service @ONLY)
if(SYSTEMD_SERVICES)
	configure_file(contrib/systemd/xdg-desktop-portal-hyprland.service.in contrib/systemd/xdg-desktop-portal-hyprland.service @ONLY)
endif()

set(CMAKE_CXX_STANDARD 23)
add_compile_options(-Wall -Wextra -Wno-unused-parameter -Wno-unused-value
	-Wno-missing-field-initializers -Wno-narrowing -Wno-pointer-arith
	$<$<COMPILE_LANG_AND_ID:CXX,GNU>:-fpermissive> -Wno-address-of-temporary)

# dependencies
message(STATUS "Checking deps...")
add_subdirectory(hyprland-share-picker)

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET wayland-client wayland-protocols wayland-scanner libpipewire-0.3 libspa-0.2 libdrm gbm hyprlang>=0.2.0)

# check whether we can find sdbus-c++ through pkg-config
pkg_check_modules(SDBUS IMPORTED_TARGET sdbus-c++)
if(NOT SDBUS_FOUND)
    include_directories("subprojects/sdbus-cpp/include/")
    add_subdirectory(subprojects/sdbus-cpp EXCLUDE_FROM_ALL)
    add_library(PkgConfig::SDBUS ALIAS sdbus-c++)
endif()

# same for hyprland-protocols
pkg_check_modules(HYPRLAND_PROTOS IMPORTED_TARGET hyprland-protocols)
if(HYPRLAND_PROTOS_FOUND)
    set(HYPRLAND_PROTOCOLS "${HYPRLAND_PROTOS_PREFIX}/share/hyprland-protocols")
else()
    set(HYPRLAND_PROTOCOLS "subprojects/hyprland-protocols")
endif()

file(GLOB_RECURSE SRCFILES CONFIGURE_DEPENDS "src/*.cpp")
add_executable(xdg-desktop-portal-hyprland ${SRCFILES})
target_link_libraries(xdg-desktop-portal-hyprland PRIVATE rt PkgConfig::SDBUS Threads::Threads PkgConfig::deps)

# protocols
pkg_get_variable(WaylandScanner wayland-scanner wayland_scanner)
message(STATUS "Found WaylandScanner at ${WaylandScanner}")
pkg_get_variable(WAYLAND_PROTOCOLS_DIR wayland-protocols pkgdatadir)
message(STATUS "Found wayland-protocols at ${WAYLAND_PROTOCOLS_DIR}")

function(protocol protoPath protoName external)
    if (external)
		set(path ${protoPath})
    else()
		set(path ${WAYLAND_PROTOCOLS_DIR}/${protoPath})
    endif()
	add_custom_command(
		OUTPUT ${CMAKE_SOURCE_DIR}/protocols/${protoName}-protocol.h
		COMMAND ${WaylandScanner} client-header ${path} ${CMAKE_SOURCE_DIR}/protocols/${protoName}-protocol.h
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
	add_custom_command(
		OUTPUT ${CMAKE_SOURCE_DIR}/protocols/${protoName}-protocol.c
		COMMAND ${WaylandScanner} private-code ${path} ${CMAKE_SOURCE_DIR}/protocols/${protoName}-protocol.c
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
	target_sources(xdg-desktop-portal-hyprland PRIVATE protocols/${protoName}-protocol.h)
	target_sources(xdg-desktop-portal-hyprland PRIVATE protocols/${protoName}-protocol.c)
endfunction()

protocol("protocols/wlr-foreign-toplevel-management-unstable-v1.xml" "wlr-foreign-toplevel-management-unstable-v1" true)
protocol("protocols/wlr-screencopy-unstable-v1.xml" "wlr-screencopy-unstable-v1" true)
protocol("${HYPRLAND_PROTOCOLS}/protocols/hyprland-global-shortcuts-v1.xml" "hyprland-global-shortcuts-v1" true)
protocol("${HYPRLAND_PROTOCOLS}/protocols/hyprland-toplevel-export-v1.xml" "hyprland-toplevel-export-v1" true)
protocol("unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml" "linux-dmabuf-unstable-v1" false)

# Installation
install(TARGETS hyprland-share-picker)
install(TARGETS xdg-desktop-portal-hyprland DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

install(FILES hyprland.portal DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/xdg-desktop-portal/portals")
install(FILES ${CMAKE_BINARY_DIR}/org.freedesktop.impl.portal.desktop.hyprland.service DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services")
if(SYSTEMD_SERVICES)
	install(FILES ${CMAKE_BINARY_DIR}/contrib/systemd/xdg-desktop-portal-hyprland.service DESTINATION "lib/systemd/user")
endif()

=== hyprland-share-picker/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(hyprland-share-picker VERSION 0.1 LANGUAGES CXX)

set(QT_VERSION_MAJOR 6)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(QT NAMES Qt6 REQUIRED COMPONENTS Widgets)
find_package(Qt6 REQUIRED COMPONENTS Widgets)

set(PROJECT_SOURCES
        main.cpp
        mainpicker.cpp
        mainpicker.h
        mainpicker.ui
        elidedbutton.h
        elidedbutton.cpp
)

if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    qt_add_executable(hyprland-share-picker
        MANUAL_FINALIZATION
        ${PROJECT_SOURCES}
    )
# Define target properties for Android with Qt 6 as:
#    set_property(TARGET hyprland-share-picker APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR
#                 ${CMAKE_CURRENT_SOURCE_DIR}/android)
# For more information, see https://doc.qt.io/qt-6/qt-add-executable.html#target-creation
else()
    if(ANDROID)
        add_library(hyprland-share-picker SHARED
            ${PROJECT_SOURCES}
        )
# Define properties for Android with Qt 5 after find_package() calls as:
#    set(ANDROID_PACKAGE_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/android")
    else()
        add_executable(hyprland-share-picker
            ${PROJECT_SOURCES}
        )
    endif()
endif()

target_link_libraries(hyprland-share-picker PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

set_target_properties(hyprland-share-picker PROPERTIES
    MACOSX_BUNDLE_GUI_IDENTIFIER my.example.com
    MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
    MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    MACOSX_BUNDLE TRUE
    WIN32_EXECUTABLE TRUE
)

install(TARGETS hyprland-share-picker
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

if(QT_VERSION_MAJOR EQUAL 6)
    qt_finalize_executable(hyprland-share-picker)
endif()

=== debian/changelog ===
xdg-desktop-portal-hyprland (1.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1080034)
  * debian/copyright: Update information about files under
    protocols/ directory.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Sep 2024 18:12:33 -0400

=== debian/control ===
Source: xdg-desktop-portal-hyprland
Section: x11
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake (>= 3.19),
 debhelper-compat (= 13),
 hyprland-protocols,
 libdrm-dev,
 libgbm-dev,
 libhyprlang-dev,
 libpipewire-0.3-dev,
 libsdbus-c++-dev,
 libspa-0.2-dev,
 libwayland-dev,
 pkgconf,
 qt6-base-dev,
 wayland-protocols,
Standards-Version: 4.7.0
Homepage: https://github.com/hyprwm/xdg-desktop-portal-hyprland
Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland.git
Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland

Package: xdg-desktop-portal-hyprland
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XDG Desktop Portal backend for Hyprland
 This package provides an XDG Desktop Portal backend for Hyprland.
 It is a program that lets other applications communicate swiftly with
 the compositor through D-Bus.
 .
 You do not have to use xdg-desktop-portal-hyprland. Hyprland will work
 with xdg-desktop-portal-wlr, but xdg-desktop-portal-hyprland has
 more features, such as window sharing.
 .
 On the other hand, xdg-desktop-portal-hyprland will work on other
 wlroots-based compositors, although limited to the xdg-desktop-portal-wlr
 features (other will be disabled).

## xdg-desktop-portal-hyprland 1.3.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

file(READ ${CMAKE_CURRENT_SOURCE_DIR}/VERSION VER)
string(STRIP ${VER} VER)

project(
  xdg-desktop-portal-hyprland
  DESCRIPTION "An XDG-Destop-Portal backend for Hyprland (and wlroots)"
  VERSION ${VER})

set(CMAKE_MESSAGE_LOG_LEVEL "STATUS")
set(SYSTEMD_SERVICES
    ON
    CACHE BOOL "Install systemd service file")

if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)
  message(STATUS "Configuring XDPH in Debug with CMake")
  add_compile_definitions(HYPRLAND_DEBUG)
else()
  add_compile_options(-O3)
  message(STATUS "Configuring XDPH in Release with CMake")
endif()

add_compile_definitions(XDPH_VERSION="${VER}")

include_directories(. "protocols/")

# configure
include(GNUInstallDirs)
set(LIBEXECDIR ${CMAKE_INSTALL_FULL_LIBEXECDIR})
configure_file(org.freedesktop.impl.portal.desktop.hyprland.service.in
               org.freedesktop.impl.portal.desktop.hyprland.service @ONLY)
if(SYSTEMD_SERVICES)
  configure_file(contrib/systemd/xdg-desktop-portal-hyprland.service.in
                 contrib/systemd/xdg-desktop-portal-hyprland.service @ONLY)
endif()

set(CMAKE_CXX_STANDARD 23)
add_compile_options(
  -Wall
  -Wextra
  -Wno-unused-parameter
  -Wno-unused-value
  -Wno-missing-field-initializers
  -Wno-narrowing
  -Wno-pointer-arith
  $<$<COMPILE_LANG_AND_ID:CXX,GNU>:-fpermissive>
  -Wno-address-of-temporary)

# dependencies
message(STATUS "Checking deps...")
add_subdirectory(hyprland-share-picker)

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(
  deps
  REQUIRED
  IMPORTED_TARGET
  wayland-client
  wayland-protocols
  libpipewire-0.3>=1.1.82
  libspa-0.2
  libdrm
  gbm
  hyprlang>=0.2.0
  hyprutils
  hyprwayland-scanner>=0.4.2)

# check whether we can find sdbus-c++ through pkg-config
pkg_check_modules(SDBUS IMPORTED_TARGET sdbus-c++>=2.0.0)
if(NOT SDBUS_FOUND)
  include_directories("subprojects/sdbus-cpp/include/")
  add_subdirectory(subprojects/sdbus-cpp EXCLUDE_FROM_ALL)
  add_library(PkgConfig::SDBUS ALIAS sdbus-c++)
endif()

# same for hyprland-protocols
pkg_check_modules(HYPRLAND_PROTOS IMPORTED_TARGET hyprland-protocols)
if(HYPRLAND_PROTOS_FOUND)
  set(HYPRLAND_PROTOCOLS "${HYPRLAND_PROTOS_PREFIX}/share/hyprland-protocols")
else()
  set(HYPRLAND_PROTOCOLS "${CMAKE_SOURCE_DIR}/subprojects/hyprland-protocols")
endif()

file(GLOB_RECURSE SRCFILES CONFIGURE_DEPENDS "src/*.cpp")
add_executable(xdg-desktop-portal-hyprland ${SRCFILES})
target_link_libraries(
  xdg-desktop-portal-hyprland PRIVATE rt PkgConfig::SDBUS Threads::Threads
                                      PkgConfig::deps)

# protocols
pkg_get_variable(WAYLAND_PROTOCOLS_DIR wayland-protocols pkgdatadir)
message(STATUS "Found wayland-protocols at ${WAYLAND_PROTOCOLS_DIR}")
pkg_get_variable(WAYLAND_SCANNER_DIR wayland-scanner pkgdatadir)
message(STATUS "Found wayland-scanner at ${WAYLAND_SCANNER_DIR}")

function(protocolnew protoPath protoName external)
  if(external)
    set(path ${protoPath})
  else()
    set(path ${WAYLAND_PROTOCOLS_DIR}/${protoPath})
  endif()
  add_custom_command(
    OUTPUT ${CMAKE_SOURCE_DIR}/protocols/${protoName}.cpp
           ${CMAKE_SOURCE_DIR}/protocols/${protoName}.hpp
    COMMAND hyprwayland-scanner --client ${path}/${protoName}.xml
            ${CMAKE_SOURCE_DIR}/protocols/
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  target_sources(xdg-desktop-portal-hyprland PRIVATE protocols/${protoName}.cpp
                                                     protocols/${protoName}.hpp)
endfunction()
function(protocolWayland)
  add_custom_command(
    OUTPUT ${CMAKE_SOURCE_DIR}/protocols/wayland.cpp
           ${CMAKE_SOURCE_DIR}/protocols/wayland.hpp
    COMMAND hyprwayland-scanner --wayland-enums --client
            ${WAYLAND_SCANNER_DIR}/wayland.xml ${CMAKE_SOURCE_DIR}/protocols/
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  target_sources(xdg-desktop-portal-hyprland PRIVATE protocols/wayland.cpp
                                                     protocols/wayland.hpp)
endfunction()

protocolwayland()

protocolnew("${CMAKE_SOURCE_DIR}/protocols"
            "wlr-foreign-toplevel-management-unstable-v1" true)
protocolnew("${CMAKE_SOURCE_DIR}/protocols" "wlr-screencopy-unstable-v1" true)
protocolnew("${HYPRLAND_PROTOCOLS}/protocols" "hyprland-global-shortcuts-v1"
            true)
protocolnew("${HYPRLAND_PROTOCOLS}/protocols" "hyprland-toplevel-export-v1"
            true)
protocolnew("unstable/linux-dmabuf" "linux-dmabuf-unstable-v1" false)

# Installation
install(TARGETS hyprland-share-picker)
install(TARGETS xdg-desktop-portal-hyprland
        DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

install(FILES hyprland.portal
        DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/xdg-desktop-portal/portals")
install(
  FILES ${CMAKE_BINARY_DIR}/org.freedesktop.impl.portal.desktop.hyprland.service
  DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services")
if(SYSTEMD_SERVICES)
  install(
    FILES
      ${CMAKE_BINARY_DIR}/contrib/systemd/xdg-desktop-portal-hyprland.service
    DESTINATION "lib/systemd/user")
endif()

=== hyprland-share-picker/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(
  hyprland-share-picker
  VERSION 0.1
  LANGUAGES CXX)

set(QT_VERSION_MAJOR 6)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(QT NAMES Qt6 REQUIRED COMPONENTS Widgets)
find_package(Qt6 REQUIRED COMPONENTS Widgets)

set(PROJECT_SOURCES main.cpp mainpicker.cpp mainpicker.h mainpicker.ui
                    elidedbutton.h elidedbutton.cpp)

if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
  qt_add_executable(hyprland-share-picker MANUAL_FINALIZATION
                    ${PROJECT_SOURCES})
  # Define target properties for Android with Qt 6 as: set_property(TARGET
  # hyprland-share-picker APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR
  # ${CMAKE_CURRENT_SOURCE_DIR}/android) For more information, see
  # https://doc.qt.io/qt-6/qt-add-executable.html#target-creation
else()
  if(ANDROID)
    add_library(hyprland-share-picker SHARED ${PROJECT_SOURCES})
    # Define properties for Android with Qt 5 after find_package() calls as:
    # set(ANDROID_PACKAGE_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/android")
  else()
    add_executable(hyprland-share-picker ${PROJECT_SOURCES})
  endif()
endif()

target_link_libraries(hyprland-share-picker
                      PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

set_target_properties(
  hyprland-share-picker
  PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER my.example.com
             MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
             MACOSX_BUNDLE_SHORT_VERSION_STRING
             ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
             MACOSX_BUNDLE TRUE
             WIN32_EXECUTABLE TRUE)

install(
  TARGETS hyprland-share-picker
  BUNDLE DESTINATION .
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

if(QT_VERSION_MAJOR EQUAL 6)
  qt_finalize_executable(hyprland-share-picker)
endif()

=== debian/changelog ===
xdg-desktop-portal-hyprland (1.3.8-3) unstable; urgency=medium

  * New maintainer. (Closes: #1093708)
  * Add recommended dependency as per upstream suggestion.
  * Add upstream metadata.
  * Add Salsa CI pipeline configuration.
  * Add lintian override for hyprland-share-picker (no documentation).

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 08 Mar 2025 21:57:01 +0100

xdg-desktop-portal-hyprland (1.3.8-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093708)

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 12:51:49 -0500

xdg-desktop-portal-hyprland (1.3.8-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Oct 2024 18:57:27 -0400

xdg-desktop-portal-hyprland (1.3.8-1~exp1) experimental; urgency=medium

  * New upstream version 1.3.8.
  * debian/control: Build with sdbus-cpp 2.0.0. (Closes: #1086492)

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Oct 2024 08:12:22 -0400

xdg-desktop-portal-hyprland (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6. (Closes: #1084740, #1084390)
  * debian/control: Add new build-dependencies.

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Oct 2024 08:09:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: xdg-desktop-portal-hyprland
 Section: x11
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Carl Keinath <carl.keinath@gmail.com>
+Rules-Requires-Root: no
 Build-Depends:
  cmake (>= 3.19),
  debhelper-compat (= 13),
  hyprland-protocols,
+ hyprwayland-scanner (>= 0.4.2),
  libdrm-dev,
  libgbm-dev,
  libhyprlang-dev,
+ libhyprutils-dev,
  libpipewire-0.3-dev,
- libsdbus-c++-dev,
+ libsdbus-c++-dev (>= 2.0),
  libspa-0.2-dev,
  libwayland-dev,
  pkgconf,
  qt6-base-dev,
  wayland-protocols,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/hyprwm/xdg-desktop-portal-hyprland
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland
@@ -26,6 +29,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ xdg-desktop-portal-gtk,
 Description: XDG Desktop Portal backend for Hyprland
  This package provides an XDG Desktop Portal backend for Hyprland.
  It is a program that lets other applications communicate swiftly with

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/hyprwm/xdg-desktop-portal-hyprland/tags?per_page=100 \
 https://api.github.com/repos/hyprwm/xdg-desktop-portal-hyprland/tarball/refs/tags/@ANY_VERSION@

## xdg-desktop-portal-hyprland 1.3.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
   libdrm
   gbm
   hyprlang>=0.2.0
-  hyprutils
+  hyprutils>=0.2.6
   hyprwayland-scanner>=0.4.2)
 
 # check whether we can find sdbus-c++ through pkg-config
@@ -130,7 +130,10 @@
             true)
 protocolnew("${HYPRLAND_PROTOCOLS}/protocols" "hyprland-toplevel-export-v1"
             true)
-protocolnew("unstable/linux-dmabuf" "linux-dmabuf-unstable-v1" false)
+protocolnew("${HYPRLAND_PROTOCOLS}/protocols" "hyprland-toplevel-mapping-v1"
+        true)
+protocolnew("stable/linux-dmabuf" "linux-dmabuf-v1" false)
+protocolnew("staging/ext-foreign-toplevel-list" "ext-foreign-toplevel-list-v1" false)
 
 # Installation
 install(TARGETS hyprland-share-picker)

=== debian/changelog ===
xdg-desktop-portal-hyprland (1.3.10-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Migrated to Version 5
  * d/copyright: added email
  * Moved VCS to team namespace

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 04 Oct 2025 11:29:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xdg-desktop-portal-hyprland
 Section: x11
 Priority: optional
-Maintainer: Carl Keinath <carl.keinath@gmail.com>
+Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
+Uploaders: Carl Keinath <carl.keinath@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
  cmake (>= 3.19),
  debhelper-compat (= 13),
- hyprland-protocols,
+ hyprland-protocols (>= 0.6.3),
  hyprwayland-scanner (>= 0.4.2),
  libdrm-dev,
  libgbm-dev,
@@ -21,8 +22,8 @@
  wayland-protocols,
 Standards-Version: 4.7.2
 Homepage: https://github.com/hyprwm/xdg-desktop-portal-hyprland
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland.git
-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal-hyprland
+Vcs-Git: https://salsa.debian.org/hyprland-team/xdg-desktop-portal-hyprland.git
+Vcs-Browser: https://salsa.debian.org/hyprland-team/xdg-desktop-portal-hyprland
 
 Package: xdg-desktop-portal-hyprland
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## xdg-desktop-portal-hyprland 1.3.11

=== meson_options.txt ===
option('systemd', type: 'feature', value: 'auto', description: 'Install systemd user service unit')

=== hyprland-share-picker/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,13 @@
 
 find_package(QT NAMES Qt6 REQUIRED COMPONENTS Widgets)
 find_package(Qt6 REQUIRED COMPONENTS Widgets)
+
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(
+  deps
+  REQUIRED
+  IMPORTED_TARGET
+  hyprutils>=0.2.6)
 
 set(PROJECT_SOURCES main.cpp mainpicker.cpp mainpicker.h mainpicker.ui
                     elidedbutton.h elidedbutton.cpp)
@@ -38,7 +45,7 @@
 endif()
 
 target_link_libraries(hyprland-share-picker
-                      PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)
+                      PRIVATE Qt${QT_VERSION_MAJOR}::Widgets PkgConfig::deps)
 
 set_target_properties(
   hyprland-share-picker

=== hyprland-share-picker/Makefile ===

all:
	mkdir -p build && cmake --no-warn-unused-cli -DCMAKE_BUILD_TYPE:STRING=Release -H./ -B./build -G Ninja
	cmake --build ./build --config Release --target all -j$(shell nproc)

=== debian/changelog ===
xdg-desktop-portal-hyprland (1.3.11-1) unstable; urgency=medium

  * New upstream release
  * d/control: added team-members to Uploaders

 -- Carl Keinath <carl.keinath@gmail.com>  Fri, 17 Oct 2025 22:06:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
-Uploaders: Carl Keinath <carl.keinath@gmail.com>
+Uploaders:
+ Carl Keinath <carl.keinath@gmail.com>,
+ Chow Loong Jin <hyperair@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
  cmake (>= 3.19),
  debhelper-compat (= 13),
+ pkgconf,
  hyprland-protocols (>= 0.6.3),
  hyprwayland-scanner (>= 0.4.2),
  libdrm-dev,
@@ -17,7 +20,6 @@
  libsdbus-c++-dev (>= 2.0),
  libspa-0.2-dev,
  libwayland-dev,
- pkgconf,
  qt6-base-dev,
  wayland-protocols,
 Standards-Version: 4.7.2

=== debian/watch ===
Version: 5

Template: Github
Owner: hyprwm
Project: xdg-desktop-portal-hyprland
